It’s about time to install MS08-067

If you haven’t done so yet, it’s about time you get the MS08-067 patch installed on your Windows clients. According to a recent post on the Microsoft® Malware Protection Center blog, another wave of attacks has been identified. By the way for those still running Windows NT 4.0, Microsoft indeed seems to have a patch for that retired OS but companies will have to pay to get it.

Leave a Reply

Your email address will not be published. Required fields are marked *